Create an alert rule
curl --request POST \
--url https://api.phare.io/alert-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scope": "organization",
"integration_id": 1,
"rate_limit": 5,
"event_settings": {},
"integration_settings": {}
}
'import requests
url = "https://api.phare.io/alert-rules"
payload = {
"scope": "organization",
"integration_id": 1,
"rate_limit": 5,
"event_settings": {},
"integration_settings": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scope: 'organization',
integration_id: 1,
rate_limit: 5,
event_settings: {},
integration_settings: {}
})
};
fetch('https://api.phare.io/alert-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.phare.io/alert-rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'scope' => 'organization',
'integration_id' => 1,
'rate_limit' => 5,
'event_settings' => [
],
'integration_settings' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.phare.io/alert-rules"
payload := strings.NewReader("{\n \"scope\": \"organization\",\n \"integration_id\": 1,\n \"rate_limit\": 5,\n \"event_settings\": {},\n \"integration_settings\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.phare.io/alert-rules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"scope\": \"organization\",\n \"integration_id\": 1,\n \"rate_limit\": 5,\n \"event_settings\": {},\n \"integration_settings\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.phare.io/alert-rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scope\": \"organization\",\n \"integration_id\": 1,\n \"rate_limit\": 5,\n \"event_settings\": {},\n \"integration_settings\": {}\n}"
response = http.request(request)
puts response.read_body{
"event": "uptime.monitor.created",
"integration_id": 1,
"rate_limit": 5,
"id": 1,
"project_id": 1,
"event_settings": {},
"integration_settings": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "Unauthenticated."
}{
"message": "The monitors:write permission is required to perform this action."
}{
"message": "<string>",
"errors": {
"key": [
"The key field is required"
]
}
}Alert Rules
Create an alert rule
Create an alert rule notifying an integration each time an event happens in the project, or in every project with the organization scope. The app of the integration must support the event.
Requires the alert_rules:write permission.
POST
/
alert-rules
Create an alert rule
curl --request POST \
--url https://api.phare.io/alert-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scope": "organization",
"integration_id": 1,
"rate_limit": 5,
"event_settings": {},
"integration_settings": {}
}
'import requests
url = "https://api.phare.io/alert-rules"
payload = {
"scope": "organization",
"integration_id": 1,
"rate_limit": 5,
"event_settings": {},
"integration_settings": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scope: 'organization',
integration_id: 1,
rate_limit: 5,
event_settings: {},
integration_settings: {}
})
};
fetch('https://api.phare.io/alert-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.phare.io/alert-rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'scope' => 'organization',
'integration_id' => 1,
'rate_limit' => 5,
'event_settings' => [
],
'integration_settings' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.phare.io/alert-rules"
payload := strings.NewReader("{\n \"scope\": \"organization\",\n \"integration_id\": 1,\n \"rate_limit\": 5,\n \"event_settings\": {},\n \"integration_settings\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.phare.io/alert-rules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"scope\": \"organization\",\n \"integration_id\": 1,\n \"rate_limit\": 5,\n \"event_settings\": {},\n \"integration_settings\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.phare.io/alert-rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scope\": \"organization\",\n \"integration_id\": 1,\n \"rate_limit\": 5,\n \"event_settings\": {},\n \"integration_settings\": {}\n}"
response = http.request(request)
puts response.read_body{
"event": "uptime.monitor.created",
"integration_id": 1,
"rate_limit": 5,
"id": 1,
"project_id": 1,
"event_settings": {},
"integration_settings": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "Unauthenticated."
}{
"message": "The monitors:write permission is required to perform this action."
}{
"message": "<string>",
"errors": {
"key": [
"The key field is required"
]
}
}Authorizations
Headers
Body
application/json
Alert rule request
Name of the event that will trigger the execution of the alert rule
Available options:
uptime.monitor.created, uptime.monitor.deleted, uptime.monitor_certificate.discovered, uptime.monitor_certificate.expiring, uptime.incident.created, uptime.incident.propagated, uptime.incident.partially_recovered, uptime.incident.recovered, uptime.incident_comment.created, uptime.incident_update.published, uptime.maintenance_window.in_progress, uptime.maintenance_window.completed, uptime.maintenance_window.cancelled Response
Success, alert rule created
Name of the event that will trigger the execution of the alert rule
Available options:
uptime.monitor.created, uptime.monitor.deleted, uptime.monitor_certificate.discovered, uptime.monitor_certificate.expiring, uptime.incident.created, uptime.incident.propagated, uptime.incident.partially_recovered, uptime.incident.recovered, uptime.incident_comment.created, uptime.incident_update.published, uptime.maintenance_window.in_progress, uptime.maintenance_window.completed, uptime.maintenance_window.cancelled Last modified on February 8, 2026
Was this page helpful?